public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ettore Di Giacinto" <mudler@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/packagekit-base/
Date: Sun, 22 Jan 2017 14:09:05 +0000 (UTC)	[thread overview]
Message-ID: <1485093909.f1567e92ccb19515e337b17c1296b9fb11fb89b5.mudler@gentoo> (raw)

commit:     f1567e92ccb19515e337b17c1296b9fb11fb89b5
Author:     Ettore Di Giacinto <mudler <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 22 13:12:41 2017 +0000
Commit:     Ettore Di Giacinto <mudler <AT> gentoo <DOT> org>
CommitDate: Sun Jan 22 14:05:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1567e92

app-admin/packagekit-base: version bump to 1.1.5 #606798

Package-Manager: Portage-2.3.1, Repoman-2.3.1

 app-admin/packagekit-base/Manifest                 |   1 +
 app-admin/packagekit-base/metadata.xml             |   4 +-
 .../packagekit-base/packagekit-base-1.1.5.ebuild   | 118 +++++++++++++++++++++
 3 files changed, 120 insertions(+), 3 deletions(-)

diff --git a/app-admin/packagekit-base/Manifest b/app-admin/packagekit-base/Manifest
index 9c5dff0..d9e11af 100644
--- a/app-admin/packagekit-base/Manifest
+++ b/app-admin/packagekit-base/Manifest
@@ -2,3 +2,4 @@ DIST PackageKit-0.8.15.tar.xz 1506084 SHA256 76aa44994d63b403b1f1154406539951502
 DIST PackageKit-1.0.11.tar.xz 1427404 SHA256 bbd27bbc77795394f25ab009fe1b3420e365541c99248b18bbaa2fa7f029eaf7 SHA512 9529037685f76e883a71ae502eabd83c3e1e8905f76cfe5e938760677f0224f8758bca59e139588aa06589bcca7a20f13dea0fe419022cb950c7a4c631237bce WHIRLPOOL 8d9bebf55acdff2096bb750bc1f3028cdbbb8e0fd09926de69c7e3dcbd7fe56a2908709be01633dd5a61df80afab05b28d8f424b1bbb79454f503cd03301e56a
 DIST PackageKit-1.1.1.tar.xz 1410632 SHA256 483348a54c92419d713a8a153926ec6e1ab70ba64ae4afd3f0a6d63d10b1cac4 SHA512 caf9b67f71a36479d32338c28343671e9586aade7a0f777b867772ad8da8e3206bf66a46b2fa2cba8f0f48af27db3888b68e336707db6f76c5e0dbed464e2874 WHIRLPOOL 0a09233580b50f391931760960c3fe8a644797b24c15a79d56bdbfdadde835856f81175e209ad6877c49387c946c8765418eef28fc1fd188eb5d5d5a383fd1ad
 DIST PackageKit-1.1.4.tar.xz 1424756 SHA256 0ae89f7c381b7def41960f690f7212cf80f7f6bfc9055ce8d0c84aa45f120cd9 SHA512 fc04d58c46f7e7dbb1386d26627ea246b5f21b8483862788bb734b8a137e4cb1d41de0f471b46f6d649e29337f9605acba0568a845577b27a2ac0faaf391b187 WHIRLPOOL f76a446eb64721cb718fe250d710aaf4e0d801bddb44835a7a0327ed250150928d717bb037d23c758eb6bfb752b77aea4bb5a14c8df58b964e008f2260e45736
+DIST PackageKit-1.1.5.tar.xz 1418292 SHA256 50f448ced5b460bd79ba0c97e9fe080153eaeecad909eee108284e3f5fc7b70c SHA512 ecc6a4d39caa0a7ea2047f52f95980b23e61ae200e27559326f03302b1c0d798f9cbae53fcf2d397dca3d54e52f143e2e7aa4e3f0b2df8c39e53bd2993e86154 WHIRLPOOL d21df70793d316ffd045f9c4b06f0e31015cf659e9f3679cd96dbdaf3acf22e030446030f2c5a589f87b351b8a191dda7614bb63462a9e1017bb9ae11fcfdbf8

diff --git a/app-admin/packagekit-base/metadata.xml b/app-admin/packagekit-base/metadata.xml
index d5ed35c..c412437 100644
--- a/app-admin/packagekit-base/metadata.xml
+++ b/app-admin/packagekit-base/metadata.xml
@@ -18,8 +18,6 @@
 	<use>
 		<flag name="command-not-found">Enable packagekit support on shell "command not found"</flag>
 		<flag name="cron">Install cron script for auto-update</flag>
-		<flag name="entropy">
-			Enable Entropy backend
-		</flag>
+		<flag name="entropy">Enable Entropy backend</flag>
 	</use>
 </pkgmetadata>

diff --git a/app-admin/packagekit-base/packagekit-base-1.1.5.ebuild b/app-admin/packagekit-base/packagekit-base-1.1.5.ebuild
new file mode 100644
index 00000000..1e0777a
--- /dev/null
+++ b/app-admin/packagekit-base/packagekit-base-1.1.5.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+# PackageKit supports 3.2+, but entropy and portage backends are untested
+# Future note: use --enable-python3
+PYTHON_COMPAT=( python2_7 )
+VALA_USE_DEPEND="vapigen"
+
+inherit bash-completion-r1 multilib python-single-r1 systemd vala xdg
+
+MY_PN="PackageKit"
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Manage packages in a secure way using a cross-distro and cross-architecture API"
+HOMEPAGE="http://www.packagekit.org/"
+SRC_URI="https://www.freedesktop.org/software/${MY_PN}/releases/${MY_P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0/18"
+KEYWORDS="~alpha ~amd64 ~arm ~mips ~ppc ~ppc64 ~x86"
+IUSE="connman cron command-not-found +introspection networkmanager entropy systemd test vala"
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	vala? ( introspection )
+"
+
+# While not strictly needed, consolekit is the alternative to systemd-login
+# to get current session's user.
+COMMON_DEPEND="
+	>=app-shells/bash-completion-2
+	dev-db/sqlite:3
+	>=dev-libs/dbus-glib-0.74
+	>=dev-libs/glib-2.46.0:2[${PYTHON_USEDEP}]
+	>=sys-auth/polkit-0.98
+	>=sys-apps/dbus-1.3.0
+	${PYTHON_DEPS}
+	connman? ( net-misc/connman )
+	introspection? ( >=dev-libs/gobject-introspection-0.9.9:= )
+	networkmanager? ( >=net-misc/networkmanager-0.6.4:= )
+	systemd? ( >=sys-apps/systemd-204 )
+"
+DEPEND="${COMMON_DEPEND}
+	>=dev-cpp/glibmm-2.4
+	dev-libs/libxslt[${PYTHON_USEDEP}]
+	>=dev-util/gtk-doc-am-1.11
+	>=dev-util/intltool-0.35.0
+	sys-devel/gettext
+	virtual/pkgconfig
+	vala? ( $(vala_depend) )
+"
+RDEPEND="${COMMON_DEPEND}
+	>=app-portage/layman-2[${PYTHON_USEDEP}]
+	>=sys-apps/portage-2.2[${PYTHON_USEDEP}]
+	entropy? ( >=sys-apps/entropy-234[${PYTHON_USEDEP}] )
+	!systemd? ( sys-auth/consolekit )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+	# Fixes QA Notices:
+	# - https://github.com/gentoo/gentoo/pull/1760
+	# - https://github.com/hughsie/PackageKit/issues/143
+	eapply "${FILESDIR}"/${PN}-1.1.1-cache-qafix.patch
+
+	# Disable unittests not working with portage backend
+	# console: requires terminal input
+	sed -e 's:^\(.*/packagekit-glib2/control\)://\1:' \
+		-e 's:^\(.*/packagekit-glib2/transaction-list\)://\1:' \
+		-e 's:^\(.*/packagekit-glib2/client"\)://\1:' \
+		-e 's:^\(.*/packagekit-glib2/package-sack\)://\1:' \
+		-e 's:^\(.*/packagekit-glib2/task\)://\1:' \
+		-e 's:^\(.*/packagekit-glib2/console\)://\1:' \
+		-i lib/packagekit-glib2/pk-test-daemon.c || die
+	sed -e 's:^\(.*/packagekit/spawn\)://\1:' \
+	    -e 's:^\(.*/packagekit/transaction-db\)://\1:' \
+	    -e 's:^\(.*/packagekit/backend\)://\1:' \
+		-i src/pk-self-test.c || die
+
+	eapply_user
+	use vala && vala_src_prepare
+	xdg_src_prepare
+}
+
+src_configure() {
+	econf \
+		--disable-gstreamer-plugin \
+		--disable-gtk-doc \
+		--disable-gtk-module \
+		--disable-schemas-compile \
+		--disable-static \
+		--enable-bash-completion \
+		--enable-man-pages \
+		--enable-nls \
+		--enable-portage \
+		--localstatedir=/var \
+		$(use_enable command-not-found) \
+		$(use_enable connman) \
+		$(use_enable cron) \
+		$(use_enable entropy) \
+		$(use_enable introspection) \
+		$(use_enable networkmanager) \
+		$(use_enable systemd) \
+		$(use_enable test daemon-tests) \
+		$(use_enable test local) \
+		$(use_enable vala) \
+		--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	prune_libtool_files --all
+
+	dodoc AUTHORS ChangeLog MAINTAINERS NEWS README
+}


             reply	other threads:[~2017-01-22 14:09 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-01-22 14:09 Ettore Di Giacinto [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-04-21 18:24 [gentoo-commits] repo/gentoo:master commit in: app-admin/packagekit-base/ Andreas Sturmlechner
2018-12-15 11:52 Mikle Kolyada
2018-12-14  2:13 Thomas Deutschmann
2018-12-12 14:23 Gilles Dartiguelongue
2018-08-20  6:12 Mart Raudsepp
2018-04-02 17:50 Gilles Dartiguelongue
2018-04-02 17:50 Gilles Dartiguelongue
2018-03-10 12:53 Pacho Ramos
2018-01-18  1:49 Mikle Kolyada
2017-12-24 19:17 Mikle Kolyada
2017-12-16 10:31 Tobias Klausmann
2017-11-28 19:46 Pacho Ramos
2017-02-22 13:40 Ettore Di Giacinto
2016-11-02  8:33 Gilles Dartiguelongue
2016-10-30 11:44 Gilles Dartiguelongue
2016-10-23 14:34 Ettore Di Giacinto
2016-09-26 22:33 Gilles Dartiguelongue
2016-09-17  8:27 Pacho Ramos
2016-09-06 22:07 Gilles Dartiguelongue
2016-05-29 14:37 Pacho Ramos
2016-01-03 13:32 Gilles Dartiguelongue
2016-01-03 13:32 Gilles Dartiguelongue
2016-01-03 13:32 Gilles Dartiguelongue

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1485093909.f1567e92ccb19515e337b17c1296b9fb11fb89b5.mudler@gentoo \
    --to=mudler@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox